searchData={"items":[{"type":"module","title":"DynamicSupervisor.Proxy","doc":"Starts a module-based dynamic supervisor process with a registered name.\nWill wait a bit if the supervisor name is still registered on restarts. See\n[Supervisor restart backoff](https://github.com/erlang/otp/pull/1287).","ref":"DynamicSupervisor.Proxy.html"},{"type":"macro","title":"DynamicSupervisor.Proxy.__using__/1","doc":"Uses `DynamicSupervisor`. Also either aliases `DynamicSupervisor.Proxy` (this\nmodule) and requires the alias or imports `DynamicSupervisor.Proxy`.","ref":"DynamicSupervisor.Proxy.html#__using__/1"},{"type":"macro","title":"Examples - DynamicSupervisor.Proxy.__using__/1","doc":"use DynamicSupervisor.Proxy, alias: Proxy\n\n    use DynamicSupervisor.Proxy","ref":"DynamicSupervisor.Proxy.html#__using__/1-examples"},{"type":"macro","title":"DynamicSupervisor.Proxy.start_link/3","doc":"Starts a module-based dynamic supervisor process with the given `module` and\n`init_arg`. The `:name` option __must__ be given in order to register a\nsupervisor name. Will wait a bit if the supervisor name is still registered\non restarts. See [Supervisor restart backoff](https://github.com/erlang/otp/pull/1287).\n\nTo start the supervisor, the `c:DynamicSupervisor.init/1` callback will be\ninvoked in the given `module`, with `init_arg` as its argument. The\n`c:DynamicSupervisor.init/1` callback must return a supervisor specification\nwhich can be created with the help of the `DynamicSupervisor.init/1` function.","ref":"DynamicSupervisor.Proxy.html#start_link/3"},{"type":"macro","title":"Examples - DynamicSupervisor.Proxy.start_link/3","doc":"use DynamicSupervisor.Proxy\n\n    @spec start_link :: Supervisor.on_start()\n    def start_link, do: start_link(__MODULE__, :ok, name: __MODULE__)\n\n    @spec init(term) :: {:ok, DynamicSupervisor.sup_flags()} | :ignore\n    def init(:ok), do: DynamicSupervisor.init(strategy: :one_for_one)","ref":"DynamicSupervisor.Proxy.html#start_link/3-examples"},{"type":"module","title":"DynamicSupervisor.Proxy.Log","doc":"","ref":"DynamicSupervisor.Proxy.Log.html"},{"type":"function","title":"DynamicSupervisor.Proxy.Log.warning/2","doc":"","ref":"DynamicSupervisor.Proxy.Log.html#warning/2"},{"type":"module","title":"DynamicSupervisor.Proxy.Starter","doc":"","ref":"DynamicSupervisor.Proxy.Starter.html"},{"type":"function","title":"DynamicSupervisor.Proxy.Starter.start_link/3","doc":"","ref":"DynamicSupervisor.Proxy.Starter.html#start_link/3"}],"content_type":"text/markdown"}